﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace RadScheduleViewValidation
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            var today = DateTime.Today;

            var data = new ObservableCollection<Task>(Enumerable.Range(9, 14).Select(i =>
                new Task
                {
                    Start = today.AddMinutes(i * 60 + 15),
                    End = today.AddMinutes((i + 1) * 60),
                    Subject = string.Format("Task num. {0}", i),
                    IsDone = today.AddMinutes((i + 1) * 60) < DateTime.Now
                }));

            this.DataContext = data;
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            var button = sender as RadButton;
            var viewModel = button.DataContext as AppointmentDialogViewModel;

            if (!String.IsNullOrEmpty(viewModel.Occurrence.Appointment.Subject))
            {
                // Executes Confirm command and the window closes.
                WindowCommands.Confirm.Execute(null, button);
            }

        }
    }
}
