﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ScheduleView;

namespace RadScheduleViewValidation
{
    public class Task:Appointment
    {
        private bool isDone;

        public bool IsDone
        {
            get
            {
                return this.Storage<Task>().isDone;
            }

            set
            {
                var storage = this.Storage<Task>();
                if (storage.isDone != value)
                {
                    storage.isDone = value;
                    this.OnPropertyChanged(() => this.IsDone);
                }
            }
        }

        public override IAppointment Copy()
        {
            var newAppointment = new Task();
            newAppointment.CopyFrom(this);
            return newAppointment;
        }

        public override void CopyFrom(IAppointment other)
        {
            var task = other as Task;
            if (task != null)
            {
                this.IsDone = task.IsDone;
            }

            base.CopyFrom(other);
        }
    }
}
